Mod «End of a New Beginning» for Hearts of Iron 4 (v1.10.1 - 1.10.4)

Date
13.02.21
Views
6064
Version
13.02.21

Have you ever felt the HOI4 vanilla experience was too short? Did the shallow possibilities of conquering the world bore you? Perhaps you wanted a more indepth challenge, but the only challenge you'd ever get would be there when you play as Bhutan? Well, you've come to the right place.

Our fortee is quite straightforward, our largest goals are to stretch the playable age from the days of the American Civil War of the Victorian Ages to the modern era. Of course we wouldn't be the most ambitious project on the Workshop with only this; along with the changed gameplay system spanning 200 years, we plan to overhaul everything in the game we possibly can.

Whether you enjoy the hearthy roleplaying of modern history or love meta-nationstacking, want a giant campaign from CKII or just want Vicky III early, we hope this giant project will cater to every need and interest.

Unlike vanilla HOI4 that spans across the few years of WW2, EoaNB spans across three centuries of modern history. We are well aware no one in the right state of mind will play for that long (or we'll manage to make it that long without any crashes), so our main wishes is to make a game where you write a saga of your nation. Through political strife, technological competition and international affairs, we hope to turn HOI4 into a book for you to write your own history in, whether it is of prosperity, or decline.

Mod checked on game version: 1.10.1 , 1.10.2 , 1.10.3 , 1.10.4

  • Updated the mod for 1.10.x

Version 07.06.20 for Hearts of Iron 4 (v1.9.3)

  • Updated the mod for 1.9.3

DOWNLOAD


Version 31.05.20 for Hearts of Iron 4 (v1.9.2)

DOWNLOAD

How to install mod?

To install the mod for the game Hearts of Iron 4, unpack the contents of the archive to the folder Documents\Paradox Interactive\Hearts of Iron IV\mod and enable the modification in the launcher.

File info

Download links will be available in sec.

You can log in to your account or register on the site to download mods without waiting.

+5
01:20
6064
RSS
20:08

Could you please update mod to 1.9.3

gclp
03:48

This mod doesent work on 1.9.3 on wich version will it work ?

eor
13:58

subirán la V 1.10.1?

jimmy
08:10

It does not work on 1.9.3

Edward
13:24

Ojalá pronto saquen la versión 1.10, aunque creo que es compatible...

nhatminh03
06:27

the descriptor file is always missing in these mods in this page, why the hell is that ?

Loading...